Bug 980057 - qemu-kvm: Optimize virtio-scsi multiqueue performance
qemu-kvm: Optimize virtio-scsi multiqueue performance
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Linux
medium Severity high
: rc
: ---
Assigned To: Fam Zheng
Virtualization Bugs
: Reopened
Depends On: 1115278
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 06:30 EDT by Xiaomei Gao
Modified: 2015-03-29 22:47 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-29 22:47:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 17 RHEL Product and Program Management 2014-07-22 01:47:17 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 18 Paolo Bonzini 2014-07-23 05:25:06 EDT
If you need to manually set the irq affinity, it's possible that irqbalance is not configured correctly.

Try

cat /proc/irq/{46,47,48,49}/affinity_hint

(The numbers should match those shown in /proc/interrupts for virtio-scsi).  It should show something like this:

1
2
4
8
Comment 19 Xiaomei Gao 2014-09-01 04:21:21 EDT
(In reply to Paolo Bonzini from comment #18)
> If you need to manually set the irq affinity, it's possible that irqbalance
> is not configured correctly.
> 
> Try
> 
> cat /proc/irq/{46,47,48,49}/affinity_hint
> 
> (The numbers should match those shown in /proc/interrupts for virtio-scsi). 
> It should show something like this:
> 
> 1
> 2
> 4
> 8

Paolo, very sorry that it has been quite out of my mind. I will check affinity_hint number and update the fresh performance results this week.

Thanks,
Xiaomei

Note You need to log in before you can comment on or make changes to this bug.